// AI_ReadValueDlg.h : header file
//

#if !defined(AFX_AI_READVALUEDLG_H__49427FA1_0FF7_4FD1_B682_56FF642F91C5__INCLUDED_)
#define AFX_AI_READVALUEDLG_H__49427FA1_0FF7_4FD1_B682_56FF642F91C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAI_ReadValueDlg dialog

class CAI_ReadValueDlg : public CDialog
{
// Construction
public:
	CAI_ReadValueDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAI_ReadValueDlg)
	enum { IDD = IDD_AI_READVALUE_DIALOG };
	CEdit	m_txtBID;
	CListBox	m_lbModuleInfo;
	CListBox	m_lbDigiValue;
	CListBox	m_lbChStatus;
	CListBox	m_lbAnalogValue;
	CComboBox	m_cbxDID;
	CButton	m_btnReadDigitalValueWithChSta;
	CButton	m_btnReadDigitalValue;
	CButton	m_btnReadAnalogValueWithChSta;
	CButton	m_btnReadAnalogValue;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAI_ReadValueDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAI_ReadValueDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnopendevice();
	afx_msg void OnBtnclosedevice();
	afx_msg void OnBtnreaddigivalue();
	afx_msg void OnBtnreadanavalue();
	afx_msg void OnBtnreaddigivaluewithchsta();
	afx_msg void OnBtnreadanavaluewithchsta();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AI_READVALUEDLG_H__49427FA1_0FF7_4FD1_B682_56FF642F91C5__INCLUDED_)
